> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# 即梦图片生成4.0

即梦4.0是即梦同源的图像生成能力，该能力在统一框架内集成了文生图、图像编辑及多图组合生成的功能：支持单次输入最多 10 张图像及进行复合编辑，并能通过对提示词的深度推理，自动适配最优的图像比例尺寸与生成数量，可一次性输出最多 15 张内容关联的图像。此外，模型显著提升了中文生成的准确率与内容多样性，且支持 4K 超高清输出，为专业图像创作提供了从生成到编辑的一站式解决方案。

* 模型ID：`jimeng_t2i_v40`
* 模型价格：你可以在[模型广场](https://geekai.co/models?platform=jimeng\&type=image)查看最新价格信息
* 调用入口：`https://geekai.co/api/v1/images/generations`
* 模型参数：参考[画图 API 手册](https://docs.geekai.co/cn/api/image/generations)
* API认证：[获取 API KEY](https://docs.geekai.co/cn/docs/quick_start)

<Note>
  不支持画图 API 中的以下参数：

  * `negative_prompt`
  * `aspect_ratio`
  * `quality`
  * `style_preset`
  * `output_format`
  * `mask`
  * `background`
  * `response_format`
  * `watermark`

  附：[即梦生图4.0 官方 API 文档](https://www.volcengine.com/docs/85621/1817045)
</Note>

即梦生图4.0 可以通过 `size` 字段设置图像生成的宽高：

推荐可选的宽高比为：

* 1K：

| 宽高比 | 像素值       |
| --- | --------- |
| 1:1 | 1024x1024 |

* 2K：

| 宽高比  | 像素值       |
| ---- | --------- |
| 1:1  | 2048x2048 |
| 4:3  | 2304x1728 |
| 16:9 | 2560x1440 |
| 3:2  | 2496x1664 |
| 21:9 | 3024x1296 |

* 4k:

| 宽高比  | 像素值       |
| ---- | --------- |
| 1:1  | 4096x4096 |
| 4:3  | 4694x3520 |
| 3:2  | 4992x3328 |
| 16:9 | 5404x3040 |
| 21:9 | 6198x2656 |

size的默认取值为`2048x2048`，宽高像素值在`[1024x1024, 4096x4096]`之间

你可以通过 `strength` 字段替代官方的 `scale` 来控制文本描述影响的程度，取值范围是 `[0, 1]`，默认值是 `0.5`，该值越大代表文本描述影响程度越大，且输入图片影响程度越小。

### 文生图

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "jimeng_t2i_v40",
    "prompt": "画一只可爱的小猫",
    "size": "2048x2048"
}'
```

响应是一个 JSON 对象，包含生成图片的 URL：

```json theme={null}
{
    "model": "jimeng_t2i_v40",
    "task_id": "e1df0ec2-9dca-45c4-961c-af52b1436281",
    "task_status": "succeed",
    "data": [
        {
            "url": "https://static.geekai.co/image/2026/01/06/2d3ec22efdb778b7ac5d95932526ce34.png"
        }
    ]
}
```

### 图生图

**单图**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "jimeng_t2i_v40",
    "prompt": "根据这张小猫图片，生成一张和毛线球玩耍的图片",
    "image": "https://static.geekai.co/image/2025/12/29/398b72b457492fbe36c9ac6efc69121b.jpeg",
    "size": "2304x1728"
}'
```

响应是一个 JSON 对象，包含生成图片的 URL：

```json theme={null}
{
    "model": "jimeng_t2i_v40",
    "task_id": "28022068-1df8-4ad2-a689-a77fa1abd094",
    "task_status": "succeed",
    "data": [
        {
            "url": "https://static.geekai.co/image/2025/12/31/1c5e8d1a01e56d7aaa269dd2c3314da1.png"
        }
    ]
}
```

**多图**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "jimeng_t2i_v40",
    "prompt": "将图1的服装换为图2的服装",
    "image": ["https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imagesToimage_1.png", "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_5_imagesToimage_2.png"],
    "size": "2304x1728",
    "strength": 0.5
}'
```

响应是一个 JSON 对象，包含生成图片的 URL：

```json theme={null}
{
    "model": "jimeng_t2i_v40",
    "task_id": "e0a62f2d-2a9c-4722-8924-99ea46aa9bed",
    "task_status": "succeed",
    "data": [
        {
            "url": "https://static.geekai.co/image/2025/12/31/b51d6423077f157f7685d13a5e86310e.png"
        }
    ]
}
```

即梦4.0 默认根据prompt理解意图生成数量：

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "jimeng_t2i_v40",
    "prompt": "将图1的服装换为图2的服装,我需要生成两张图片",
    "image": ["https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imagesToimage_1.png", "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_5_imagesToimage_2.png"],
    "size": "2304x1728",
    "strength": 0.5,
    "extra_body": {
        "force_single": false,
        "min_ratio": 1,
        "max_ratio": 3
    }
}'
```

响应是一个 JSON 对象，包含生成图片的 URL：

```json theme={null}
{
    "model": "jimeng_t2i_v40",
    "task_id": "1a8995b4-089d-46bf-9364-917ba8dda1b0",
    "task_status": "succeed",
    "data": [
        {
            "url": "https://static.geekai.co/image/2025/12/31/14b0a934351648b3b0f0306edc6d5b95.png"
        },
        {
            "url": "https://static.geekai.co/image/2025/12/31/9b8aef287a57aa473d894597f9e73eeb.png"
        }
    ]
}



```
